Kapitel 5. Paketmanagement
Zurück | 5.48 `debian-updates` | Weiter

## 5.48 `debian-updates`

Das Programm `debian-updates` erstellt einen Report über verfügbare Sicherheitsupdates für das System auf dem es installiert ist. Die Informationen dazu werden von einem Debian-Server bezogen auf dem alle verfügbaren Updates gelistet sind. Für jedes in der Liste aufgeführte Paket wird geprüft, ob eine veraltete Version installiert ist. Ist dies der Fall, so wird eine Information auf der Konsole ausgegeben. Alternativ können diese Informationen auch per E-Mail verschickt werden.

Das Paket `debian-updates` ist leider nicht in den offiziellen Paketquellen enthalten. Steve Kemp pflegt das Paket unter http://www.steve.org.uk/Software/debian-updates/.

Die Syntax für dieses Kommando lautet

    debian-updates [--options] ...

Hier ein Beispiel für den Aufruf von `debian-updates` ohne weitere Optionen.

    sushi:~# debian-updates

    DSA-730 bzip2 - race condition
    ------------------------------

    <p>Imran Ghory discovered a race condition in bzip2, a high-quality
    block-sorting file compressor and decompressor. When decompressing a
    file in a directory an attacker has access to, bunzip2 could be
    tricked to set the file permissions to a different file the user has
    permissions to.</p>

      See the following URL for more details
              http://www.debian.org/security/2005/dsa-730

`debian-updates` kennt die im folgenden beschriebenen Optionen

`--file`

  Liest die Informationen über neue Pakete aus einer Datei, nicht von einem Server im Netz. Der Inhalt dieser Datei muss dem Inhalt der von einem Server im Netz geliefert wird entsprechen, die Informationen werden als RDF-Feed geliefert.

`--help`

  Zeigt eine kurze Hilfe zu `debian-updates` an.

`--mail`

  Sendet die Ergebnisse an die angegebene Mailadresse, es wird keinerlei Ausgabe auf der Konsole erzeugt.

`--proxy`

  Die URL des zu verwendenden Proxy-Servers, in der Form `http://hostname:port`.

`--user`

  Benutzername für den Proxyserver, falls notwendig.

`--pass`

  Passwort für den Proxyserver, falls notwendig.

`--packages`

  Die URL einer `Packages`-Datei mit der die DSA (Debian Security Announce - Sicherheitsgutachten, die auf der debian-security-announce Mailingliste veröffentlicht wurden) verglichen werden.

`--url`

  Liest den RDF-Feed aus der angegebenen Adresse.

`--verbose`

  Gibt mehr Informationen dazu aus was das Programm an Aktionen ausführt. Ein Beispiel für den Aufruf mit dieser Option:

      sushi:~# debian-updates --verbose
      Reading RDF from URL: http://www.debian.org/security/dsa-long.en.rdf
      Downloading remote URL: http://www.debian.org/security/dsa-long.en.rdf
      Downloaded 6427 bytes.
      Package bzip2 is installed and mentioned in an advisory.
      Package bzip2 - has local version 1.0.2-1
      Arch is : 'i386'
      Downloading remote package details from : http://security.debian.org/dists/woody/updates/main/binary-i386/Packages.gz
      Downloading remote URL: http://security.debian.org/dists/woody/updates/main/binary-i386/Packages.gz
      Downloaded 236768 bytes.
      Package bzip2 - has remote version 1.0.2-1.woody2
      Running: dpkg --compare-versions 1.0.2-1.woody2 le 1.0.2-1
      Return code: 256

      DSA-730 bzip2 - race condition
      ------------------------------

      <p>Imran Ghory discovered a race condition in bzip2, a high-quality
      block-sorting file compressor and decompressor. When decompressing a
      file in a directory an attacker has access to, bunzip2 could be
      tricked to set the file permissions to a different file the user has
      permissions to.</p>

      See the following URL for more details
                http://www.debian.org/security/2005/dsa-730
      Package php4 is installed and mentioned in an advisory.
      Package php4 - has local version 4:4.3.10-2
      Arch is : 'i386'
      Downloading remote package details from : http://security.debian.org/dists/woody/updates/main/binary-i386/Packages.gz
      Downloading remote URL: http://security.debian.org/dists/woody/updates/main/binary-i386/Packages.gz
      Downloaded 236768 bytes.
      Package php4 - has remote version 4:4.1.2-7.woody4
      Running: dpkg --compare-versions 4:4.1.2-7.woody4 le 4:4.3.10-2
      Return code: 0

`--version`

  Zeigt die Versionsnummer von `debian-updates` an.

Zu beachten ist beim Einsatz von `debian-updates`, dass Sicherheitsupdates vom Debian-Team nur für die jeweils aktuelle „stable“-Release zur Verfügung gestellt werden.

Zurück | Nach oben | Weiter
5.47 dpkg-architecture | Zum Anfang | 5.49 `configure-debian`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).